procedure priv2(p1,p2,p3)
   cls
   SET CENTURY ON
   SET DATE ITALIAN
   if p1=NIL .or. p2=NIL .or. p3=NIL
      ? "Parametri errati. Usare: priv2.exe sorgente destinazione codpriv2"
      quit
   endif
   ? "Parametri ricevuti"
   print("Sorgente        : ",p1)
   print("Destinazione    : ",p2)
   print("Codice Privato 2: ",p3)
   if !file(p1+"\centro.exe")
      print("Sorgente: ","NON TROVATO")
      quit
   endif
   if !file(p2+"\centro.exe")
      print("Destinazione: ","NON TROVATO")
      quit
   endif
   ? ""
   ? "Operazione in corso..."
   copy file (p1+"\sistema\soggetti.dbf") to (p2+"\sistema\soggetti.dbf")
   copy file (p1+"\sistema\comuni.dbf") to (p2+"\sistema\comuni.dbf")
   copy file (p1+"\azienda.001\clienti.dbf") to (p2+"\azienda.001\clienti.dbf")
   copy file (p1+"\azienda.001\clienti.dbt") to (p2+"\azienda.001\clienti.dbt")
   copy file (p1+"\azienda.001\magazz1.dbf") to (p2+"\azienda.001\magazz1.dbf")
   copy file (p1+"\azienda.001\netti.dbf") to (p2+"\azienda.001\netti.dbf")
   copy file (p1+"\azienda.001\descriz.dbf") to (p2+"\azienda.001\descriz.dbf")
   copy file (p1+"\azienda.001\gruppi.dbf") to (p2+"\azienda.001\gruppi.dbf")
   copy file (p1+"\azienda.001\sconti.dbf") to (p2+"\azienda.001\sconti.dbf")
   *
   use (p1+"\azienda.001\ele_vend.dbf") alias SORG EXCLUSIVE NEW
   index on dToS(SORG->D_Data) to imp_001
   go top
   s1=SORG->D_Data
   *? "Prima data Sorgente: "+dToC(SORG->D_Data)
   go bott
   s2=SORG->D_Data
   print("Ultima data Sorgente: ",dToC(SORG->D_Data))
   *
   use (p2+"\azienda.001\ele_vend.dbf") alias DEST EXCLUSIVE NEW
   index on dToS(DEST->D_Data) to imp_002
   go top
   *
   d1=DEST->D_Data
   *? "Prima data gi Copiata: "+dToC(DEST->D_Data)
   go bott
   d2=DEST->D_Data+1
   print("Ultima data gi Copiata: ",dToC(DEST->D_Data))
   if s2>d2
      ? ""
      printPrompt("Copio Movimenti dal ")
      printDato(dToC(d2))
      printPrompt(" al ")
      printDato(dToC(s2))
      select SORG
      *set filter to ( dToS(SORG->D_Data) >= dTos(d2) .and. dToS(SORG->D_Data) <= dToS(s2) )
      set filter to dToS(SORG->D_Data) >= dTos(d2)
      go top
      print("Primo record da copiare: ",dToC(SORG->D_Data))
      while !eof()
         select DEST
         appe blank
         DEST->C_Codice  = SORG->C_Codice
         DEST->D_Data    = SORG->D_Data
         DEST->N_Qta     = SORG->N_Qta
         DEST->N_Val     = SORG->N_Val
         DEST->C_Codcli  = SORG->C_Codcli
         DEST->C_Numdoc  = SORG->C_Numdoc
         DEST->C_Codfor  = SORG->C_Codfor
         DEST->D_Carico  = SORG->D_Carico
         DEST->N_Prv_age = SORG->N_Prv_age
         DEST->C_Tipomov = SORG->C_Tipomov
         DEST->C_Valuta  = SORG->C_Valuta
         DEST->N_Cst     = SORG->N_Cst
         select SORG
         skip
      end
      print("Elimino movimenti del cliente ",p3)
      delete ALL for (C_Codcli = p3)
      pack
      unlock all
   else
      print("Dati: ","Gi Aggiornati!")
   endif
   close data
   ? ""
   ? "Fine procedura."
   ? ""
   quit
return

//============================================================================
function printPrompt(c)
   set color to "7/0"
   ?? c
   set color to
return(nil)
function printDato(c)
   set color to "8/0"
   ?? "["
   set color to "15/0"
   ?? c
   set color to "8/0"
   ?? "]"
   set color to
return(nil)
//============================================================================
function print(prompt,dato)
   ? ""
   printPrompt(prompt)
   printDato(dato)
return(nil)
